# Method __builtin.Nettle.MAC()->State()->jose_sign()

Method jose_sign

  ``string(7bit)` jose_sign(`string(8bit)` `message`, `mapping`(`string(7bit)`:`string(7bit)`|`int`)|`void` `headers`)`

Description

  Signs the `message` with a JOSE JWS MAC signature.

Parameter `message`

  Message to sign.

Parameter `headers`

  JOSE headers to use. Typically a mapping with a single element `"typ"`.

Returns

  Returns the signature on success, and `0` (zero) on failure (typically that JOSE doesn't support this MAC).

See also

  jose_decode(), RFC 7515